     d = open("nomer")     rem открыть БД, хранящую номер док-та
     getfirst(d)           rem прочесть первую запись
     nom = 'Номер_док.'.d  rem прочесть номер док-та в переменную nom
     close(d)              rem закрыть БД
     d = open("rko")       rem открыть БД - реестр док-ов
     if Find(d,1,1,nom) != 0 then goto 900 rem найти док-т с номером nom
     d1 = open("spoop")             rem открыть спр-ик отложенных операций
     rem ---------------- УДАЛИТЬ ПРЕДЫДУЩИЕ ПРОВОДКИ ПО ДОКУМЕНТУ
     putkey(d1,2)
     if FindGe(d1,1,3,"РКО "+nom) != 0 then goto 200
210  if "РКО " + trim(nom) != trim('Документ'.d1) then goto 200
     if size(d1) = 0 then goto 200
     delete(d1)
     goto 210
200  
     num_last = 1
     putkey(d1,0)
     if size(d1) > 0
     {  getlast(d1)                    rem прочитать последнюю запись
        num_last = 'N_проводки'.d1 + 1 rem определить номер последней проводки
     }
     clearbuf(d1)                   rem очистить буфер для новой записи
     'N_проводки'.d1 = num_last     rem установить номер проводки
rem установить дату,номер док-та,корреспонденцию счетов и субсчетов, сумму
rem и примечание  
     'Дата'.d1 = 'Дата'.d           
     'Документ'.d1 = "РКО " + nom   
     'Db_счета'.d1 = 'Номер'.d
     'Db_расчеты'.d1 = 'Субсчет'.d
     'Kr_счета'.d1 = "50"
     'Kr_расчеты'.d1 = ""
     'Сумма'.d1 = 'Сумма'.d
     'Примечание'.d1 = 'Название'.d + " " + 'Основание'.d
     insert(d1) rem вставить новую проводку в справочник отложенных операций 
     close(d1)  rem закрыть БД spoop.btr
900  close(d)   rem закрыть БД -реестр документов
     end
